#!/bin/sh

name=`echo -n "$1" | scripts/decodeurl.c`


echo "Connecting to $name..."

newcrc=`scripts/getwwwcrc.sh $name`


if [ "$newcrc." == "00000000." ] ; then
 echo " ! Could not connect to $name"
 echo " ! Could not connect to $name <br><br>" >> /tmp/checkwwwresults.html
 exit
fi

if [ "$newcrc." == "." ] ; then
 echo " ! Could not connect to $name"
 echo " ! Could not connect to $name <br><br>" >> /tmp/checkwwwresults.html
 exit
fi



oldcrc=`cat list/$1/crc`

#echo $oldcrc $newcrc

if [ $newcrc == $oldcrc ] ; then
 echo " Nothing new on $name"
 echo " Nothing new on $name <br><br>" >> /tmp/checkwwwresults.html
 exit
fi

echo $newcrc > list/$1/crc

echo " Something changed on $name, adding to list"
echo " Something changed on <a href=\"$name\">$name</a><br><br>" >> /tmp/checkwwwresults.html
#firefox -remote "openurl($1,new-window)"



